#%%global rctag rc2

Name:		wsjtx
Version:	1.8.0
Release:	2%{?rctag:.%{rctag}}%{?dist}
Summary:	Weak Signal communication by K1JT
License:	GPLv3+
URL:		http://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Source0:	http://physics.princeton.edu/pulsar/k1jt/%{name}-%{version}%{?rctag:-%{rctag}}.tgz
Patch0:		wsjtx-1.8.0-compile-fix.patch
BuildRequires:	dos2unix, tar, cmake, gcc-c++, gcc-gfortran, qt5-devel
BuildRequires:	desktop-file-utils, hamlib-devel, fftw-devel, libusbx-devel
BuildRequires:	boost-devel, portaudio-devel, asciidoc, rubygem-asciidoctor
BuildRequires:	execstack

%description
WSJT-X is a computer program designed to facilitate basic amateur radio
communication using very weak signals. It implements communication protocols
or "modes" called JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as
one called Echo for detecting and measuring your own radio signals reflected
from the Moon.

%prep
%setup -q -n %{name}-%{version}%{?rctag:-%{rctag}}

# remove bundled hamlib
rm -f src/hamlib.tgz*
tar -xzf src/%{name}.tgz

%patch0 -p1 -b .compile-fix

cd %{name}

# remove bundled boost
rm -rf boost

# convert CR + LF to LF
dos2unix *.ui *.iss *.rc *.txt

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"
# workaround for hamlib check, i.e. for hamlib_LIBRARY_DIRS not to be empty
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
mkdir %{name}/build
cd %{name}/build
%cmake -DBoost_NO_SYSTEM_PATHS=FALSE -Dhamlib_STATIC=FALSE \
..
%make_build

%install
cd %{name}/build
%make_install

# desktop files
desktop-file-validate %{buildroot}%{_datadir}/applications/wsjtx.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/message_aggregator.desktop

# fix docs
rm -f %{buildroot}%{_datadir}/doc/WSJT-X/{INSTALL,COPYING,copyright,changelog.Debian.gz}
cd ..
mv %{buildroot}%{_datadir}/doc/WSJT-X %{buildroot}%{_datadir}/doc/%{name}
install -p -m 0644 -t %{buildroot}%{_datadir}/doc/%{name} GUIcontrols.txt jt9.txt \
  mouse_commands.txt prefixes.txt shortcuts.txt v1.7_Features.txt \
  wsjtx_changelog.txt

%files
%license COPYING
%doc %{_datadir}/doc/%{name}
%{_bindir}/fcal
%{_bindir}/fmeasure
%{_bindir}/fmtave
%{_bindir}/jt4code
%{_bindir}/jt65code
%{_bindir}/jt9
%{_bindir}/jt9code
%{_bindir}/message_aggregator
%{_bindir}/msk144code
%{_bindir}/qra64code
%{_bindir}/qra64sim
%{_bindir}/udp_daemon
%{_bindir}/wsjtx
%{_bindir}/wspr_fsk8d
%{_bindir}/wsprd
%{_mandir}/man1/*.1.gz
%{_datadir}/applications/wsjtx.desktop
%{_datadir}/applications/message_aggregator.desktop
%{_datadir}/pixmaps/wsjtx_icon.png
%{_datadir}/%{name}

%changelog
* Fri Jan 19 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.0-2
- Do not force non-executable stack
  Resolves: rhbz#1535987
  Resolves: rhbz#1523446

* Mon Jan 15 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.0-1
- New version
  Resolves: rhbz#1534099
- De-fuzzified compile-fix patch

* Fri Sep  8 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.0-0.3.rc2
- Dropped rigctl*-wsjtx (hamlib copy)

* Sun Sep  3 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.0-0.2.rc2
- New version

* Fri Sep  1 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.0-0.1.rc1
- Initial version
